@echo off

rem check for the image directory ...
if NOT EXIST image (
  echo ERROR: directory [ image ] NOT FOUND!
  echo ABORT.
  exit /b
) else (
  cd image
)

clear
echo =========================================
echo START of BOOT image creation process ... 
echo =========================================
date /t
time /t
echo.

rem start scripts
for %%S in (

  mount-boot.cmd
  finish-boot.cmd

) do (

  echo ########## calling [ %%S ] ##########
  call %%S
  echo.

)

rem go back ...
cd ..

echo.
date /t
time /t
echo ======
echo READY.
echo ======

